Skip to content

Delete dynamic content

Request

You can delete a single dynamic content by its id. Dynamic content that is still used in an article can't be deleted. Requires the read_write_dynamic_content scope.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the dynamic content.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.17"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X DELETE \
  https://api.intercom.io/dynamic_contents/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Dynamic content deleted

Response
No content